@charset "utf-8";
/* CSS Document */
	  .products {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
      gap: 10px;
      padding: 0 20px;
    }
    .card {
      border: 2px solid #ffcfab;
      border-radius: 10px;
      overflow: hidden;
      display: flex;
      flex-direction: column;
      background-color: #fff;
    }
    .card a{
      text-decoration: none;
      color: #3d3d3d;
    }

    .card a:hover{
      box-sizing: border-box;
      color: #3d3d3d;
      border: 3px solid orangered;
      border-radius: 5px;
    }

    .card img {
      width: 100%;
      height: 150px;
      object-fit: cover;
    }
    .card-content {
      padding: 10px;
      flex-grow: 1;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
	    line-height: 20px;
    }

    .card-content h5{
      font-weight: bold;
      font-size: 16px;
      line-height: 26px;
      text-align: center;
      padding-bottom: 8px;
    }
    .highlight-s2{
      background-color: #cc0000;
      color: #ffffff;
      font-size: 16px;
      font-weight: 500;
      line-height: 20px;
      width: 100%;
      text-align: center;
      padding: 2px;
    }

    .card-content .cons{
      padding-top: 5px;
      font-size: 15px;
      line-height: 22px;
    }

    .price {
      color: red;
      font-weight: 600;
      margin: 5px 0;
      font-size: 22px;
      text-align: center;
      line-height: 28px;
      letter-spacing: -1px;
    }

    .image-container {
      position: relative;
      display: inline-block;
      width: 100%; /* 可依需求調整寬度 */
      max-width: 600px;
    }

    .image-container img {
      width: 100%;
      height: auto;
      display: block;
    }

    .text-overlay {
      position: absolute;
      bottom: 0px;  /* 調整文字位置 */
      left: 0px;
      background-color: rgba(0, 114, 221, 0.6); /* 黑色透明色塊 */
      color: white;
      padding: 5px 5px;
      font-size: 1.2rem;
      border-radius: 5px;
      width: 100%;
      text-align: center;
    }


	.smtx{font-size: 14px; font-weight:500;color: black;}
  .smtx2{font-size: 16px; font-weight:500;color: black;}
  .smtx3{font-size: 14px; font-weight:500;color: rgb(255, 255, 255);}
  .smtx4{font-size: 12px; color: black;}
  .smtx5{font-size: 14px; color: rgb(250, 79, 21);}
  .smtx6{font-size: 10px; color: black;}
  .smtx7{font-size: 11px; color: black;}
  .order-btn {background-color: orangered; color: #ffffff; border-radius: 30px; font-size: 16px; font-weight:700; border: none; padding: 6px; width: 10rem; text-align: center;cursor: pointer;}
	.order-btn-list{background-color: orangered; color: #ffffff; border-radius: 10px; font-size: 12px; font-weight:400; border: none;text-align: center; cursor: pointer;}
  .order-btn:hover ,.order-btn-list:hover{background-color: #ae0000;}

  .godate{display: flex; width: 96%; border-top:1px solid #c2c2c2; padding: 5px;}
  .godate a{flex-grow: 1; width: 30%; border:1px solid #2499ff; border-radius:5px; text-align: center;line-height: 1.1rem; margin: 3px; padding:8px;text-decoration:none; font-size: 0.9rem;box-sizing: border-box; }
  .godate a:hover{border: 1px solid #f99109; font-size: 0.9rem;}

  .pro_more{font-size: 0.9rem; font-weight: 500; margin-left: 20px; padding: 5px; color: #2499ff; border: 1px solid #2499ff;}

  .list-content th{font-size: 16px; color: #ffffff; font-weight: 500;padding-left: 15px;}
	.list-content td{font-size: 15px;}
	.list-content tr{border-bottom:1px dashed #009FCC;}

.my-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 8px;
  width: 80%;
  margin-bottom: 30px;
}
.qa-grid {display: grid;  grid-template-columns: repeat(3, 1fr);  gap: 8px;  width: 80%;  margin-bottom: 30px;}

.my-card img {
  width: 98%;
  height: auto;
  display: block;
}
.my-card .linktitle {
  text-align: center;
}
.qa-grid .my-card .linktitle {text-align: center;font-weight: bold;line-height: 2rem;}

.my-card .linktitle a {
  color: #333;
  text-decoration: none;
  font-size: 1.2rem;
  line-height: 2rem;
}
.my-card .linktitle a:hover {
  color: #007bff;
  text-decoration: none;
}
.my-card ul {width: 98%;}
.my-card ul li, .my-card p{font-size: 0.8rem;}

.footer {clear: both;}

#footer2016 {
      background-color: #fff; /* 增加一個底色，避免透出 body */
      background-blend-mode: normal; /* 確保背景圖和底色正常疊加 */
      position: relative;
      z-index: 1;
  }

/* 回頁首 */
a#jump {display: none \9;}
a#jump div {width: 50px; height: 50px; background-color: #cc0000; color: #ffffff; font-size: 16px; line-height: 16px; font-weight: bold; font-family: Arial, Helvetica, sans-serif; text-align: center; text-decoration: none; opacity: 0.7; filter: alpha(opacity=70); cursor: pointer; position: fixed; right: 15px; bottom: 15px; border-radius: 50%; z-index: 6; _display: none; transition: background-color 0.2s linear, opacity 0.2s linear, filter 0.2s linear, transform 0.1s linear;}
a#jump:hover div {background-color: #ff00ff; opacity: 1; filter: alpha(opacity=100); transform: scale(1.25,1.25); box-shadow: 0 2px 6px rgba(0,0,0,0.7);}
a#jump b {display: block; font-size: 24px; line-height: 24px; font-family: Verdana, Geneva, sans-serif; position: relative; top: 5px;}


@media screen and (max-width: 980px) {

		.star , .list, .intropic{width: 94%;}
}
	
@media screen and (max-width: 768px) {

  .more a{font-size: 0.8rem;padding: 10px; color: #ffffff; border-radius: 8px;text-decoration: none;margin: 0 10px;white-space:nowrap;}

	.star , .list, .intropic{width: 98%;}
	.list-content th{font-size: 14px; color: #ffffff; font-weight: 500; padding-left: 10px;}
	.list-content td{font-size: 13px;}
	.order-btn-list{border-radius: 5px; White-space: nowrap; padding: 3px; cursor: pointer;}

  .my-grid { grid-template-columns: repeat(2, 1fr); }
  .my-card .linktitle a {font-size: 1rem;}

  .pname_c{font-size: 1.4rem;}

  .text-overlay {font-size: 1rem;}
  .card-content h5{font-size: 1.1rem;}
  .highlight-s2{font-size: 0.9rem;}
  .card-content .cons{font-size: 0.85rem;}
  .price {font-size: 1.1rem; line-height: 1.4rem;}

  .smallword{font-size: 0.6rem;}
}

@media screen and (max-width: 520px) {  

  .star , .list, .intropic{width: 100%;}
	.products-wrapper {padding: 0 20px;}

  .godate a{font-size: 0.8rem; }

  .highlight-s{font-size: 14px;}

  #pro_more{display: none;}

  .point{display: flex; flex-direction: column; margin-bottom: 10px;}
  .ppic,.space{display: none;}
  .ppic-m{width: 96%;}
  .ptxt{width: 94%;}
  .pname{font-size: 2rem;}


  .disappear{display: none;}
  
  .intro{width: 94%;}
  .my-grid { grid-template-columns: 1fr; }
  .qa-grid { grid-template-columns: 1fr; }
  .pointlist_c{margin-bottom: 20px; width: 94%;}
  .my-card img{width: 100%;}
  .ppic_c{width: 100%;}
  .ptxt_c{width: 100%;}

}


@media screen and (max-width: 424px) {
  
}

